#!/usr/bin/perl -w
#
# ~/check_logfiles/test/032encoding.t
#
#  Test everything using windows encoding.
#

use strict;
use Test::More tests => 1;
use Cwd;
use lib "../plugins-scripts";
use Nagios::CheckLogfiles::Test;
use constant TESTDIR => ".";

diag("not in this release");
ok(1);
#exit 0;

my $cl = Nagios::CheckLogfiles::Test->new({
options => "supersmartpostscript",
postscript => sub {
 printf "doooooof\n"; 
 return $ENV{CHECK_LOGFILES_SERVICESTATEID}; 
},
	seekfilesdir => TESTDIR."/var/tmp",
	searches => [
	    {
	      tag => "enc",
	      type => 'simple',
	      logfile => 'C:\WINDOWS\SchedLgU.txt',
	      #criticalpatterns => "MpCmdRun\.exe",
	      criticalpatterns => 'Beendet um 18.02.2008 16:18:16',
	      options => 'encoding=ucs-2'
	    }
	]    });
my $enc = $cl->get_search_by_tag("enc");
$enc->delete_seekfile();
$enc->trace("deleted seekfile");


$enc->trace("initial run");
$cl->run();
diag($cl->has_result());
diag($cl->{exitmessage});
ok($cl->expect_result(0, 0, 0, 0, 0));

$enc->{newstate}->{logoffset} = 0;
$enc->{newstate}->{logtime} = 0;
$enc->savestate();
# now find the two criticals
$enc->trace("==== 2 ====");
$cl->reset();
sleep 1;
$cl->run();
printf "%s\n", Data::Dumper::Dumper($enc->{matchlines});
printf "%s\n", Data::Dumper::Dumper($cl);
diag($cl->has_result());
diag($cl->{exitmessage});
ok($cl->expect_result(0, 0, 2, 0, 2));
